package net.prettyfacestest;

import java.io.Serializable;
import javax.faces.bean.ManagedBean;
import javax.faces.application.FacesMessage;
import javax.faces.bean.ViewScoped;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.ValidatorException;
import lombok.Getter;
import lombok.Setter;

/**
 *
 * @author Hendrik Donner
 */
@ManagedBean
@ViewScoped
public class SomeBean implements Serializable {
    private static final long serialVersionUID = 1L;

    @Setter
    @Getter
    private String path;

    public void validate(FacesContext context, UIComponent component, Object value) throws ValidatorException {
        System.err.println("Validator called.");
        if (value.toString().equals("error")) {
            throw new ValidatorException(new FacesMessage("error"));
        }
    }

    public String go() {
        String url = "/faces/Page.xhtml?id=2&path=page&faces-redirect=true";
        return url;
//        return "pretty:next";
    }
}
